## org.hibernate.util.xml
Interface XmlDocument

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  XmlDocumentImpl

    public interface XmlDocument

extends Serializable

Describes a parsed xml document.

Author:
  Steve Ebersole

Method Summary
`org.dom4j.Document` `getDocumentTree()` Retrieve the parsed DOM tree.
`Origin` `getOrigin()` Retrieve the document's origin.

Method Detail

### getDocumentTree

    org.dom4j.Document getDocumentTree()

  Retrieve the parsed DOM tree.

  Returns:
    the DOM tree

### getOrigin

    Origin getOrigin()

  Retrieve the document's origin.

  Returns:
    The origin

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.